module.exports = {
  "$schema": "http://json.schemastore.org/tslint",
  "extends": [
    "tslint:recommended"
  ],
  "rules": {
    "arrow-parens": {
      "options": "ban-single-arg-parens",
      "severity": "warning"
    },
    "eofline": {
      "severity": "warning"
    },
    "indent": {
      "options": [
        "spaces",
        2
      ],
      "severity": "warning"
    },
    "interface-name": {
      "options": "never-prefix",
      "severity": "warning"
    },
    "linebreak-style": {
      "options": [
        "LF"
      ],
      "severity": "error"
    },
    "max-line-length": {
      "options": [
        80
      ],
      "severity": "warning"
    },
    "member-access": {
      "options": "no-public",
      "severity": "warning"
    },
    "no-console": {
      "severity": "off"
    },
    "no-trailing-whitespace": {
      "severity": "warning"
    },
    "object-literal-key-quotes": {
      "options": "consistent-as-needed",
      "severity": "warning"
    },
    "object-literal-sort-keys": {
      "severity": "off"
    },
    "quotemark": {
      "options": "double",
      "severity": "warning"
    },
    "semicolon": {
      "options": "never",
      "severity": "warning"
    },
    "trailing-comma": {
      "options": {
        "multiline": "always",
        "singleline": "never"
      },
      "severity": "warning"
    },
    "variable-name": {
      "severity": "warning"
    }
  },
  "jsRules": {
    "arrow-parens": {
      "options": "ban-single-arg-parens",
      "severity": "warning"
    },
    "eofline": {
      "severity": "warning"
    },
    "indent": {
      "options": [
        "spaces",
        2
      ],
      "severity": "warning"
    },
    "interface-name": {
      "options": "never-prefix",
      "severity": "warning"
    },
    "linebreak-style": {
      "options": [
        "LF"
      ],
      "severity": "error"
    },
    "max-line-length": {
      "options": [
        80
      ],
      "severity": "warning"
    },
    "member-access": {
      "options": "no-public",
      "severity": "warning"
    },
    "no-console": {
      "severity": "off"
    },
    "no-trailing-whitespace": {
      "severity": "warning"
    },
    "object-literal-key-quotes": {
      "options": "consistent-as-needed",
      "severity": "warning"
    },
    "object-literal-sort-keys": {
      "severity": "off"
    },
    "quotemark": {
      "options": "double",
      "severity": "warning"
    },
    "semicolon": {
      "options": "never",
      "severity": "warning"
    },
    "trailing-comma": {
      "options": {
        "multiline": "always",
        "singleline": "never"
      },
      "severity": "warning"
    },
    "variable-name": {
      "severity": "warning"
    }
  }
}